/*
 *  Part of rvminis source code,
 *  Copyright (C) 2000 Alexander Kroeller (alilein@gmx.de)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#include <stdio.h>
#include <stdlib.h>
#include "helpfunc.h"
#include "instance.h"


void tmod(S_RV_Poly *p, rvlong *ncpt,rvlong *ncps, S_RV_Vertex *vlist)
{
  p->color[0] = (p->color[0] & 0xff000000) | 0xff4040;
  p->color[1] = (p->color[1] & 0xff000000) | 0x40ff40;
  p->color[2] = (p->color[2] & 0xff000000) | 0x4040ff;
  if(p->type & 1)
    p->color[3] = (p->color[3] & 0xff000000) | 0xffffff;
}

int main(int argc, char **argv)
{
  RVInstance rvi;
  FileType ft;

  if(argc!=2)
    {
      printf("Usage: rvmark  <filename>\n\n");
      printf("Makes the Polygons in an instance files visible\n");
      return 1;
    };

  if((ft=filetype(argv[1]))==Auto)
    {
      printf("Error: File must be an instance file\n");
      return 1;
    };

  if(!rvi.load(argv[1],ft))
    return 1;

  rvi.apply_modifier(tmod);

  if(!rvi.save(argv[1],ft))
    return 1;

  printf("File '%s' modified.\n",argv[1]);

  return 0;
}
